%define version 0.8.2
Name:				htmlfilelist
Summary:			Creates html indexes of files, showing README's, images, and rpm package summaries
Version:			%{version}
Release:			0
Copyright:			GPL
Packager:			William Stearns <wstearns@pobox.com>
Group:				Applications/Publishing
Source:				http://www.stearns.org/htmlfilelist/htmlfilelist-%{version}.tar.gz
#Source1:			goober.init
#Patch0:				goober-2.1-make.patch
#Patch1:				goober-2.1-config.patch
#Prereq:				/sbin/chkconfig logrotate
Buildarch:			noarch
Vendor:				William Stearns <wstearns@pobox.com>
URL:				http://www.stearns.org/htmlfilelist/
BuildRoot:			/tmp/htmlfilelist-broot

%description
This creates an html index page for a directory or tree of files.  In
addition to the standard file listing with date and size, this provides
an inline display of images, a package listing of the newest rpms,
inline display of readme's, and customized headers and footers.


%changelog
* Fri Jun 13 2003 William Stearns <wstearns@pobox.com>
- Update to 0.8.2 source.

* Mon Oct 07 2002 William Stearns <wstearns@pobox.com>
- First package from 0.8.1 source.


%prep
%setup
#%setup -n goober
#%setup -q -a 1
#%patch0 -p1 -b .make
#%patch1 -p1 -b .config


#%build
#make


%install
if [ "$RPM_BUILD_ROOT" = "/tmp/htmlfilelist-broot" ]; then
	rm -rf $RPM_BUILD_ROOT

	install -d $RPM_BUILD_ROOT/usr/bin
	cp -p htmlfilelist $RPM_BUILD_ROOT/usr/bin
	#install -d $RPM_BUILD_ROOT/usr/man/man8
	#make BINDIR=$RPM_BUILD_ROOT/sbin CONFIG_FILE=$RPM_BUILD_ROOT/etc/goober.conf install
	#cp -p goober.8 $RPM_BUILD_ROOT/usr/man/man8
	#cp -p $RPM_SOURCE_DIR/goober.init $RPM_BUILD_ROOT/etc/rc.d/init.d/goober
else
	echo Invalid Build root \'"$RPM_BUILD_ROOT"\'
	exit 1
fi

						
%clean
if [ "$RPM_BUILD_ROOT" = "/tmp/htmlfilelist-broot" ]; then
	rm -rf $RPM_BUILD_ROOT
else
	echo Invalid Build root \'"$RPM_BUILD_ROOT"\'
	exit 1
fi


%files
%defattr(-,root,root)
#%attr(644,root,root)		%config	/etc/goober.conf
#%attr(755,root,root)			/etc/rc.d/init.d/goober
%attr(755,root,root)			/usr/bin/htmlfilelist
#%attr(644,root,root)			/usr/man/man8/goober.8
#				%doc	faq/* README ChangeLog QUICKSTART doc/*
#				%doc	contrib/url-normalizer.pl contrib/rredir.* contrib/user-agents.pl
#%attr(750,nobody,nobody)	%dir	/var/log/goober
#%attr(750,nobody,nobody)	%dir	/var/spool/goober


